<?xml version="1.0" encoding="UTF-8"?>
<MEMPLOYMENT_TYPE desc_eng="Employment Type Table" desc_thai="ตารางของประเภทพนักงาน" editcheck="true" mainhelp="MEMPLOYMENT_TYPEHELP" referhelp="MEMPLOYMENT_TYPEHELP" mainkey="CODEID" fieldsystem="*" protype="table" deleteflag="true" config_field="" dependlevel="true">
	<FIELD>
		<CODEID lang="A" encrypt="false" log="false" type="String">
			<KEY>1</KEY>
			<WIDTH>5</WIDTH>
			<DESC_ENG>Code ID</DESC_ENG>
			<DESC_THAI>รหัสประเภทพนักงาน</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>5</SIZE>
				<MAXSIZE>5</MAXSIZE>
				<ALT_ENG>Code ID</ALT_ENG>
				<ALT_THAI>รหัสประเภทพนักงาน</ALT_THAI>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</CODEID>
		<COMPANYID lang="A" encrypt="false" log="false" type="String">
			<KEY>2</KEY>
			<WIDTH>5</WIDTH>
			<DESC_ENG>COMPANY ID</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>5</SIZE>
				<MAXSIZE>5</MAXSIZE>
				<ALT_ENG>COMPANY ID</ALT_ENG>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</COMPANYID>
		<TDESC lang="T" encrypt="false" log="true" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>EDESC</REFER_LANG>
			<DESC_ENG>Description(Thai)</DESC_ENG>
			<DESC_THAI>รายละเอียดภาษาไทย</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>50</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Description(Thai)</ALT_ENG>
				<ALT_THAI>รายละเอียดภาษาไทย</ALT_THAI>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</TDESC>
		<EDESC lang="E" encrypt="false" log="true" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>TDESC</REFER_LANG>
			<DESC_ENG>Description(Eng)</DESC_ENG>
			<DESC_THAI>รายละเอียดภาษาอังกฤษ</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>50</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Description(Eng)</ALT_ENG>
				<ALT_THAI>รายละเอียดภาษาอังกฤษ</ALT_THAI>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</EDESC>
		<TYPE lang="A" encrypt="false" log="true" type="Integer">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Group</DESC_ENG>
			<DESC_THAI>กลุ่ม</DESC_THAI>
			<COMPONENT type="radio">
			    <VALIDCODE>MEMPLOYMENT_TYPE</VALIDCODE>
				<DEFAULTVALUE>1</DEFAULTVALUE>
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_ENG>Group</ALT_ENG>
				<ALT_THAI>กลุ่ม</ALT_THAI>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</TYPE>
	</FIELD>
	<RELATION>
		<MJOBCODE>
			<PARENT>MEMPLOYMENT_TYPE.CODEID</PARENT>
			<CHILD>MJOBCODE.EMP_TYPE</CHILD>
		</MJOBCODE>
		<MEMPLOYEE>
			<PARENT>MEMPLOYMENT_TYPE.CODEID</PARENT>
			<CHILD>MEMPLOYEE.EMP_TYPE</CHILD>
		</MEMPLOYEE>
		<TBONUS_PROCESS>
			<PARENT>MEMPLOYMENT_TYPE.CODEID</PARENT>
			<PARENT>MEMPLOYMENT_TYPE.COMPANYID</PARENT>
			<CHILD>TBONUS_PROCESS.EMP_TYPE</CHILD>
			<CHILD>TBONUS_PROCESS.COMPANYID</CHILD>
		</TBONUS_PROCESS>
		<TBONUS_PROCESSED>
			<PARENT>MEMPLOYMENT_TYPE.CODEID</PARENT>
			<PARENT>MEMPLOYMENT_TYPE.COMPANYID</PARENT>
			<CHILD>TBONUS_PROCESSED.EMP_TYPE</CHILD>
			<CHILD>TBONUS_PROCESSED.COMPANYID</CHILD>
		</TBONUS_PROCESSED>
		<MEMPLOYEE>
			<PARENT>MEMPLOYMENT_TYPE.CODEID</PARENT>
			<CHILD>MEMPLOYEE.EMP_TYPE</CHILD>
		</MEMPLOYEE>
		<MREQUEST>
			<PARENT>MEMPLOYMENT_TYPE.CODEID</PARENT>
			<PARENT>MEMPLOYMENT_TYPE.COMPANYID</PARENT>
			<CHILD>MREQUEST.EMP_TYPE</CHILD>
			<CHILD>MREQUEST.COMPANYID</CHILD>
		</MREQUEST>
		<TAPSTRAN>
			<PARENT>MEMPLOYMENT_TYPE.CODEID</PARENT>
			<PARENT>MEMPLOYMENT_TYPE.COMPANYID</PARENT>
			<CHILD>TAPSTRAN.EMP_TYPE</CHILD>
			<CHILD>TAPSTRAN.COMPANYID</CHILD>
		</TAPSTRAN>
		<TASTRAN>
			<PARENT>MEMPLOYMENT_TYPE.CODEID</PARENT>
			<PARENT>MEMPLOYMENT_TYPE.COMPANYID</PARENT>
			<CHILD>TASTRAN.EMP_TYPE</CHILD>
			<CHILD>TASTRAN.COMPANYID</CHILD>
		</TASTRAN>
		<HADJPOSITION>
			<PARENT>MEMPLOYMENT_TYPE.CODEID</PARENT>
			<PARENT>MEMPLOYMENT_TYPE.COMPANYID</PARENT>
			<CHILD>HADJPOSITION.EMP_TYPE</CHILD>
			<CHILD>HADJPOSITION.COMPANYID</CHILD>
		</HADJPOSITION>
		<TPVF_HIS>
			<PARENT>MEMPLOYMENT_TYPE.CODEID</PARENT>
			<PARENT>MEMPLOYMENT_TYPE.COMPANYID</PARENT>
			<CHILD>TPVF_HIS.CODEID</CHILD>
			<CHILD>TPVF_HIS.COMPANYID</CHILD>
		</TPVF_HIS>
	</RELATION>
</MEMPLOYMENT_TYPE>
